/**
 * XDocumentSubject2.java
 *
 * File generated from the medication2::XDocumentSubject2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDocumentSubject2.
 *
 * 
 */

@XmlType(name = "XDocumentSubject")
@XmlEnum
@XmlRootElement(name = "XDocumentSubject2")
public enum XDocumentSubject2 {
	@XmlEnumValue("PAT")
	PAT("PAT"),
	@XmlEnumValue("PRS")
	PRS("PRS");
	
	private final String value;

    XDocumentSubject2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XDocumentSubject2 fromValue(String v) {
        for (XDocumentSubject2 c: XDocumentSubject2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
